﻿// Go To Alternate Layout / 08.12.2023

var myDoc = app.activeDocument;
var myALs = myDoc.sections.everyItem().alternateLayout;
myALs.unshift();

var myWin = new Window('dialog', 'Go to Alternate Layout');
myWin.orientation = 'column';
with(myWin){
    myWin.mText = add('statictext', undefined, 'Select Alternate Layout:');
    myWin.myLayout = add('dropdownlist',undefined,undefined,{items:myALs});
    //myWin.myLayout.selection = 0;
    myWin.btnOK = add('button', undefined, 'OK');
    };
myWin.center();
var myWindow = myWin.show();
var mySection = Number(myWin.myLayout.selection);
var myPage = myDoc.sections[mySection].pageStart.documentOffset;
if (myWin.myLayout.selection != null) 
    {
    app.windows[0].activePage = myDoc.pages[myPage];
    }